$(document).ready(function () {
    $("figcaption a").click(function () {
        $this = $(this);
        var action = $this.data('action');
        var id = $this.data('id');
        if (action == "editUser") {
            $.ajax({
                type: 'POST',
                url: 'Get_User_ByID',
                data: {id: id},
                dataType: 'json',
                cache: false,
                success: function (result) {
                    $('#EditUserbtn').val(result[0]);
                    $('#firstNameEdit').val(result[1]);
                    $('#lastNameEdit').val(result[2]);
                    $('#MobileEdit').val(result[3]);
                    $('#userNameEdit').val(result[4]);
                    $('#userNameEdit1').val(result[4]);
                    $('#AccessEdit').val(result[5]);
                    $("#userImgEdit").attr("src", result[6]);

                },
            });
        } else if (action == "deleteUser") {
            $(".elan").css("display", "block");
            $(".elan .type").html("  در حال پردازش");
            $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"zmdi zmdi-alert-triangle\"></i> ");
            $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
            $.ajax({
                url: 'DeleteUser',
                type: "POST",
                data: {id: id},
                success: function (data) {
                    if (data == "Deleted") {
                        $(".elan .type").html("  حذف شد ");
                        $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" کاربر با موفقیت حذف شد ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data == "not_Deleted") {
                        $(".elan .type").html("  حذف نشد ");
                        $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" کاربر با موفقیت حذف نشد ، لطفا دوباره فرایند حذف را تکرار کنید ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else {
                        $(".elan .type").html("  خطای نامشخص");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            });
        }
        else if (action == "BanUser") {
            var ban = $this.data('ban');
            if (ban == "0")
                ban = "1"
            else
                ban = "0";
            $(".elan").css("display", "block");
            $(".elan .type").html("  در حال پردازش");
            $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"zmdi zmdi-alert-triangle\"></i> ");
            $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
            $.ajax({
                url: 'BanUser',
                type: "POST",
                data: {id: id, ban: ban},
                success: function (data) {
                    if (data == "Edited") {
                        $(".elan .type").html("   تغییر یافت ");
                        $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" وضعیت کاربر با موفقیت تغییر یافت ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data == "not_Edited") {
                        $(".elan .type").html("  تغییر نیافت ");
                        $(".elan .alert-notify-title").html(" کاربر گرامی <i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html("وضعیت کاربر با موفقیت تغییر نیافت ، لطفا دوباره فرایند تغییر وضعیت را تکرار کنید ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else {
                        $(".elan .type").html("  خطای نامشخص");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            });

        }
    })
    $("#newPass,#Password").keyup(function (e) {
        $this = $(this);
        var number = /([0-9])/;
        var alphabets = /([a-zA-Z])/;
        var special_characters = /([~,!,@,#,$,%,^,&,*,-,_,+,=,?,>,<,(,),%])/;
        if ($this.val().length < 6) {
            $('#PassCheck').removeClass();
            $('#PassCheck').addClass('weak-password');
            $('#PassCheck').html("ضعیف (حداقل 6 کاراکتر وارد کنید )");
        } else {
            if ($this.val().match(number) && $this.val().match(alphabets) && $this.val().match(special_characters)) {
                $('#PassCheck').removeClass();
                $('#PassCheck').addClass('strong-password');
                $('#PassCheck').html("آفرین ، این پسورد امنیتش بیشتره");
            } else {
                $('#PassCheck').removeClass();
                $('#PassCheck').addClass('medium-password');
                $('#PassCheck').html("متوسط (برای امنیت بیشتر از کاراکترهای خاص و اعداد هم استفاده کنید مانند &،*،#،5،1 و ...)");
            }
        }
    })
    $("#PasswordEdit").keyup(function (e) {
        $this = $(this);
        var number = /([0-9])/;
        var alphabets = /([a-zA-Z])/;
        var special_characters = /([~,!,@,#,$,%,^,&,*,-,_,+,=,?,>,<,(,),%])/;
        if ($this.val().length < 6) {
            $('#PassCheckEdit').removeClass();
            $('#PassCheckEdit').addClass('weak-password');
            $('#PassCheckEdit').html("ضعیف (حداقل 6 کاراکتر وارد کنید )");
        } else {
            if ($this.val().match(number) && $this.val().match(alphabets) && $this.val().match(special_characters)) {
                $('#PassCheckEdit').removeClass();
                $('#PassCheckEdit').addClass('strong-password');
                $('#PassCheckEdit').html("آفرین ، این پسورد امنیتش بیشتره");
            } else {
                $('#PassCheckEdit').removeClass();
                $('#PassCheckEdit').addClass('medium-password');
                $('#PassCheckEdit').html("متوسط (برای امنیت بیشتر از کاراکترهای خاص و اعداد هم استفاده کنید مانند &،*،#،5،1 و ...)");
            }
        }
    })
    $("#newPassView").click(function () {
        var x = document.getElementById("newPass");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
    })
    $("#newPassRepeatView").click(function () {
        var x = document.getElementById("newPassRepeat");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
    })
    $("#PasswordView").click(function () {
        var x = document.getElementById("Password");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
    })
    $("#PasswordViewEdit").click(function () {
        var x = document.getElementById("PasswordEdit");
        if (x.type === "password") {
            x.type = "text";
        } else {
            x.type = "password";
        }
    })
    $(".elan").css("display", "none");
    $(".elanModal").css("display", "none");
    $("#editImg").on('submit', (function (e) {
        e.preventDefault();
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "Edit_Img",
            type: "POST",
            data: new FormData(this),
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elan .type").html("  فیلد خالی");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا تصویری برای آپلود انتخاب کنید ");
                    } else if (data[i] == "image_upload_failed") {
                        $(".elan .type").html("خطای آپلود");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $('.elan .alert-notify-text').html('');
                        $('.elan .alert-notify-text').append("<p><i class='fa fa-warning'></i>  تصویر به یکی از دلایل زیر اپلود نشد : </p>");
                        $('.elan .alert-notify-text').append("<p><i class='fa fa-warning'></i>  حجم تصویر انتخاب شده بیشتر از 10 مگابایت است </p>");
                        $('.elan .alert-notify-text').append("<p><i class='fa fa-warning'></i>  ابعاد تصویر انتخاب شده بیشتر از 1768*2024 مگابایت است </p>");
                        $('.elan .alert-notify-text').append("<p><i class='fa fa-warning'></i>  تصویر انتخاب شده قابل آپلود نیست تصاویر با پسوند png , jpeg , jpg قابل آپلود میباشد</p>");
                    } else if (data[i] == "Edited") {
                        $(".elan .type").html("  بروزرسانی موفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" تصویر پروفایل شما با موفقیت بروزرسانی شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Edited") {
                        $(".elan .type").html("  بروزرسانی ناموفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" تصویر پروفایل شما با موفقیت بروزرسانی نشد ");
                    } else {
                        $(".elan .type").html("  خطای نامشخص");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elan .type").html("  خطای نامشخص");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
    $("#editPass").on('submit', (function (e) {
        e.preventDefault();
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "Edit_Pass",
            type: "POST",
            data: new FormData(this),
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elan .type").html("  فیلد خالی");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "not_match") {
                        $(".elan .type").html("برابر نبودن گذرواژه جدید");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" گذرواژه جدید شما با تکرار آن مطابقت ندارد ");
                    } else if (data[i] == "not_CurrentMatch") {
                        $(".elan .type").html("برابر نبودن گذرواژه فعلی");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" به نظر میرسد گذرواژه فعلی خود را اشتباه وارد کرده اید ! ");
                    } else if (data[i] == "Edited") {
                        $(".elan .type").html("  بروزرسانی موفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" گذرواژه شما با موفقیت بروزرسانی شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Edited") {
                        $(".elan .type").html("  بروزرسانی ناموفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" گذرواژه شما با موفقیت بروزرسانی نشد ");
                    } else {
                        $(".elan .type").html("  خطای نامشخص");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elan .type").html("  خطای نامشخص");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
    $("#editInfo").on('submit', (function (e) {
        e.preventDefault();
        $(".elan").css("display", "block");
        $(".elan .type").html("  در حال پردازش");
        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elan .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "Edit_Info",
            type: "POST",
            data: new FormData(this),
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elan .type").html("  فیلد خالی");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "Edited") {
                        $(".elan .type").html("  بروزرسانی موفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" اطلاعات شما با موفقیت بروزرسانی شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Edited") {
                        $(".elan .type").html("  بروزرسانی ناموفق");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" اطلاعات شما با موفقیت بروزرسانی نشد ");
                    } else {
                        $(".elan .type").html("  خطای نامشخص");
                        $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elan .type").html("  خطای نامشخص");
                $(".elan .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elan .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
    $("#CreateUser").on('submit', (function (e) {
        e.preventDefault();
        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "CreateUser",
            type: "POST",
            data: new FormData(this),
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elanModal .type").html("  فیلد خالی");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "image_upload_failed") {
                        $(".elanModal .type").html("خطای آپلود");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $('.elanModal .alert-notify-text').html('خطای آپلود');
                        $('.elanModal .alert-notify-text').append("<p><i class='fa fa-warning'></i>  تصویر به یکی از دلایل زیر اپلود نشد : </p>");
                        $('.elanModal .alert-notify-text').append("<p><i class='fa fa-warning'></i>  حجم تصویر انتخاب شده بیشتر از 10 مگابایت است </p>");
                        $('.elanModal .alert-notify-text').append("<p><i class='fa fa-warning'></i>  ابعاد تصویر انتخاب شده بیشتر از 1768*2024 مگابایت است </p>");
                        $('.elanModal .alert-notify-text').append("<p><i class='fa fa-warning'></i>  تصویر انتخاب شده قابل آپلود نیست تصاویر با پسوند png , jpeg , jpg قابل آپلود میباشد</p>");
                    } else if (data[i] == "Created") {
                        $(".elanModal .type").html("  ایجاد شد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" کاربر با موفقیت ایجاد شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Created") {
                        $(".elanModal .type").html("  ایجاد نشد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" کاربر با موفقیت ایجاد نشد ");
                    } else if (data[i] == "existUser") {
                        $(".elanModal .type").html("کاربر تکراری");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" نام کاربری وارد شده در سیستم وجود دارد ");
                    } else {
                        $(".elanModal .type").html("  خطای نامشخص");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elanModal .type").html("  خطای نامشخص");
                $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
    $("#EditUser").on('submit', (function (e) {
        e.preventDefault();
        var data = new FormData(this);
        data.append('id', $("#EditUserbtn").val());

        $(".elanModal").css("display", "block");
        $(".elanModal .type").html("  در حال پردازش");
        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
        $(".elanModal .alert-notify-text").html(" اطلاعات در حال پردازش میباشد ");
        $.ajax({
            url: "EditUser",
            type: "POST",
            data: data,
            dataType: 'json',
            contentType: false,
            cache: false,
            processData: false,
            success: function (data) {
                for (i = 0; i < data.length; i++) {
                    if (data[i] == "empty") {
                        $(".elanModal .type").html("  فیلد خالی");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا فیلد های خالی را پر کنید ");
                    } else if (data[i] == "Edited") {
                        $(".elanModal .type").html("  ایجاد شد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" کاربر با موفقیت ویرایش شد  ");

                        function explode() {
                            location.reload();
                        }

                        setTimeout(explode, 3000);
                    } else if (data[i] == "not_Edited") {
                        $(".elanModal .type").html("  ایجاد نشد");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" کاربر با موفقیت ویرایش نشد ، لطفا دوباره فراید بروزرسانی را تکرار کنید ");
                    } else if (data[i] == "existUser") {
                        $(".elanModal .type").html("کاربر تکراری");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" نام کاربری وارد شده در سیستم وجود دارد ");
                    } else {
                        $(".elanModal .type").html("  خطای نامشخص");
                        $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                        $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
                    }
                }
            },
            error: function () {
                $(".elanModal .type").html("  خطای نامشخص");
                $(".elanModal .alert-notify-title").html(" کاربر گرامی<i class=\"fas fa-exclamation-triangle\"></i> ");
                $(".elanModal .alert-notify-text").html(" لطفا با پشتیبان تماس بگیرید  ");
            }
        });
    }));
})
